/**
  * 客户
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admreportlist: params => { // 报备 - 客户列表
    return getRequestNoSort('/adm/report/list', params)
  },
  admreportdetail: params => { // 报备 - 客户详情
    return getRequestNoSort('/adm/report/detail', params, 'loading')
  },
  admreportstateadd: params => { // 报备 - 更改报备状态
    return getRequestNoSort('/adm/report/state/add', params, 'loading')
  },
  admreportstepadd: params => { // 报备 - 更改报备进度
    return getRequestNoSort('/adm/report/step/add', params, 'loading')
  },
  admcustomerlist: params => { // 客户 -  列表
    return getRequest('/adm/customer/list', params)
  },
  admcustomeradd: params => { // 客户 -  添加
    return getRequestNoSort('/adm/customer/add', params, 'loading')
  },
  admcustomeredit: params => { // 客户 -  编辑
    return getRequestNoSort('/adm/customer/edit', params, 'loading')
  },
  admcustomerdetail: params => { // 客户 -  详情
    return getRequestNoSort('/adm/customer/detail', params, 'loading')
  },
  admcustomerdel: params => { // 客户 -  删除
    return getRequestNoSort('/adm/customer/del', params, 'loading')
  },
  admcustomerimport: params => { // 客户 -  导入
    return getRequestNoSort('/adm/customer/import', params, 'loading')
  },
}
